Bug 1472708 (CVE-2017-3651) - CVE-2017-3651 mysql: Client mysqldump unspecified vulnerability (CPU Jul 2017)
Summary: CVE-2017-3651 mysql: Client mysqldump unspecified vulnerability (CPU Jul 2017)
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2017-3651
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=moderate,public=20170719,repor...
Depends On: 1472716 1477979 1477980 1477996 1477997 1558256 1584674
Blocks: 1472713
TreeView+ depends on / blocked
 
Reported: 2017-07-19 08:39 UTC by Adam Mariš
Modified: 2019-06-08 22:08 UTC (History)
27 users (show)

Fixed In Version: mysql 5.5.57, mysql 5.6.37, mysql 5.7.19, mariadb 5.5.53, mariadb 10.1.19, mariadb 10.0.28
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-08-20 12:45:40 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:2787 normal SHIPPED_LIVE Important: rh-mysql56-mysql security and bug fix update 2017-09-21 11:42:12 UTC
Red Hat Product Errata RHSA-2017:2886 normal SHIPPED_LIVE Important: rh-mysql57-mysql security and bug fix update 2017-10-12 11:53:15 UTC
Red Hat Product Errata RHSA-2018:2439 None None None 2018-08-16 14:15:01 UTC

Description Adam Mariš 2017-07-19 08:39:50 UTC
Vulnerability in the MySQL Server component of Oracle MySQL (subcomponent: Client mysqldump). Supported versions that are affected are 5.5.56 and earlier, 5.6.36 and earlier and 5.7.18 and earlier. Easily exploitable vulnerability allows low privileged attacker with network access via multiple protocols to compromise MySQL Server. Successful attacks of this vulnerability can result in unauthorized update, insert or delete access to some of MySQL Server accessible data. 

External References:

http://www.oracle.com/technetwork/security-advisory/cpujul2017-3236622.html#AppendixMSQL

Comment 1 Adam Mariš 2017-07-19 08:52:42 UTC
Created community-mysql tracking bugs for this issue:

Affects: fedora-all [bug 1472716]

Comment 2 Tomas Hoger 2017-08-03 09:20:13 UTC
Release notes of fixed MySQL versions describe this fix related to mysqldump:

https://dev.mysql.com/doc/relnotes/mysql/5.5/en/news-5-5-57.html
https://dev.mysql.com/doc/relnotes/mysql/5.6/en/news-5-6-37.html
https://dev.mysql.com/doc/relnotes/mysql/5.7/en/news-5-7-19.html

  mysqldump could write database names in USE statements incorrectly.
  (Bug #25998635)

Hence this CVE is likely for a problem that was mentioned in bug 1433010 comment 6.  Duplicate CVEs CVE-2016-5483 and CVE-2017-3600 were assigned to two issues related to mysqldump and mysql - see bug 1433010 comment 4 for details.  Both issue were addressed at the same time in MariaDB, however, MySQL fixes in the April 2017 CPU only addressed one of the problems.

Related MySQL upstream commit is:

https://github.com/mysql/mysql-server/commit/20addb05e58fdf822896f490fcaaf2ec5ed4bcb5

Note that new MySQL versions do not change the output of mysqldump as suggested by the release notes entry.  Its output remains the same as it was in previous versions.  mysql client processing problematic USE entries does not connect to the specified database and fails with SQL syntax error.

Also note that fixed version listed by MariaDB upstream match those that provided a (complete) fix for CVE-2016-5483/CVE-2017-3600.

Comment 11 errata-xmlrpc 2017-09-21 07:51:31 UTC
This issue has been addressed in the following products:

  Red Hat Software Collections for Red Hat Enterprise Linux 6
  Red Hat Software Collections for Red Hat Enterprise Linux 6.7 EUS
  Red Hat Software Collections for Red Hat Enterprise Linux 7
  Red Hat Software Collections for Red Hat Enterprise Linux 7.3 EUS

Via RHSA-2017:2787 https://access.redhat.com/errata/RHSA-2017:2787

Comment 12 errata-xmlrpc 2017-10-12 08:07:26 UTC
This issue has been addressed in the following products:

  Red Hat Software Collections for Red Hat Enterprise Linux 6
  Red Hat Software Collections for Red Hat Enterprise Linux 6.7 EUS
  Red Hat Software Collections for Red Hat Enterprise Linux 7
  Red Hat Software Collections for Red Hat Enterprise Linux 7.3 EUS

Via RHSA-2017:2886 https://access.redhat.com/errata/RHSA-2017:2886

Comment 16 errata-xmlrpc 2018-08-16 14:14:48 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2018:2439 https://access.redhat.com/errata/RHSA-2018:2439


Note You need to log in before you can comment on or make changes to this bug.